{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
    width: 100% !important;
}
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Pendidikan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahpemerintah"><i class="bi bi-pencil"></i> Tambah Data Pendidikan</button>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Pendidikan Diarsipkan</button>
        </div>
    </div>     
   
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Pendidikan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th>Wilayah</th>
                        <th>Data Pendidikan SD </th>
                        <th>Data Pendidikan SMP</th>
                        <th>Data Pendidikan SMA / SMK</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item_pendidikan in dt_pendidikan_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_pendidikan.kampung.distrik.title}}-{{item_pendidikan.kampung.titles}} <br> {{item_pendidikan.create_date}} </td>
                                <td>
                                   {% for xx in dt_pendidikan_paud %}
                                       <ol>
                                            {% if xx.pendidikan_id == item_pendidikan.id %}
                                                {% if xx.status == 'Aktif' %}
                                                <li> {{xx.namasekolah}} </li>
                                                {% endif %}
                                            {% endif %}
                                       </ol>
                                   {% endfor %}
                                </td>
                                <td>
                                    {% for yy in dt_pendidikan_sd %}
                                        <ol>
                                            {% if yy.pendidikan_id == item_pendidikan.id %}
                                                {% if yy.status == 'Aktif' %}
                                                <li> {{yy.namasekolah}} </li>
                                                {% endif %}
                                            {% endif %}
                                        </ol>
                                    {% endfor %}
                                </td>
                                <td></td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <a class="btn btn-primary btn-circle mr-3 mb-2" 
                                            href="{% url 'profile:admin_pendidikan_detail' item_pendidikan.id  %}"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-eye"></i>
                                        </a>
                                        <a class="btn btn-success btn-circle mr-3 mb-2" 
                                            href="{% url 'profile:admin_pendidikan_detail' item_pendidikan.id  %}"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-pencil"></i>
                                        </a>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ item_pendidikan.kampung.titles }}`, '{{ item_pendidikan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade " id="tambahpemerintah"  role="dialog" aria-labelledby="tambahpemerintah" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content ">
                <div class="modal-header bg-gradient-primary text-white">
                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Pemerintahan</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_pendidikan_create' %}">
                            {% csrf_token %}
                            <div class="row no-gutters align-items-center">
                                <div class="col-md-5">  
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                           Wilayah
                                           {% if lates_id %}
                                               <input type="hidden" name="kodependidikan" value="{{ lates_id.0.id|add:1 }}">
                                                {% else %}
                                                    <input type="hidden" name="kodependidikan" value="1">
                                                {% endif %}
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                            <option value="">Kampung/Distrik</option>
                                            {% for data_kampung in  datakampung_list %}
                                                <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                            {% endfor %}    
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Penanggungjawab
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="penanggungjawab" class="form-control" required>
                                            <option value="">Pilih Penanggungjawab</option>
                                            {% for datajawab in penanggungjawab %}
                                                <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Tahun
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="tahun"  class="form-control" required>
                                            <option value="">Pilih Tahun</option>
                                            <option value="2020">2020</option>    
                                            <option value="2021">2021</option>    
                                            <option value="2022">2022</option>    
                                            <option value="2023">2023</option>    
                                            <option value="2024">2024</option>    
                                        </select>
                                    </div>
                                </div>
                            </div>
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {% include 'profile/admin/pendidikan/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        
        $('#tambahpemerintah').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        }); 
   
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list-paud').DataTable();
            $('#table-list-sd').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/pendidikan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/pendidikan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/pendidikan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/pendidikan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}